<?php

ob_start(); /* Evitando warning */
session_start();

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

/* Não gravar em cache */
$gmtDate = gmdate("D, d M Y H:i:s");
header("Expires: {$gmtDate} GMT");
header("Last-Modified: {$gmtDate} GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");
header("Content-Type: text/html; charset=iso-8859-1");

extract($_POST);
if (!$nome || !$senha) {
    echo "<p>&nbsp;</p>";
    echo "Os Campos s&atilde;o Obrigatorios";
    exit();
}

/* proteção  sql injection escarpando as aspas */
$nome = addslashes($nome);
$senha = addslashes($senha);

include_once '../class/class.mysql.php';
$mysqlCom = new MysqlConnect();


$sql = "select nome, login, id_empresa from usuario
			where login='$nome' and senha='$senha'";

$qry = mysqli_query($mysqlCom->connect(), $sql);

while ($row = mysqli_fetch_assoc($qry)) {
    $_SESSION['fild_vfoto_nome'] = $row['nome'];
    $_SESSION['fild_vfoto_id_empresa'] = $row['id_empresa'];
    $_SESSION['fild_vfoto_login'] = $row['login'];
    $_SESSION['fild_vfoto_senha'] = $senha;
}

if ($_SESSION['fild_vfoto_nome']) {
    $_SESSION['VfotoLogado'] = true; //Variável de controle de login
    // acesso($_SESSION['fild_id_usuario']);
    echo '<div align="center" style="padding:10%"><img src="../img/ajax-loader.gif" /></div>';
    die("<script>location='../index.php';</script>");
} else {
    session_destroy();
    ob_end_flush();  /* limpar o buffer  */
    die('Erro: Usu&aacute;rio ou senha inexistente!');
    //redirect('login.php?erro=E-mail ou senha incorrento');
}
